<?php
function get_My_categories_menu($id_niveau_parent)
{
  global $page, $user, $filter;

  $query = '
SELECT ';
  // From CATEGORIES_TABLE
  $query.= '
  id, name, permalink, nb_images, global_rank,';
  // From USER_CACHE_CATEGORIES_TABLE
  $query.= '
  date_last, max_date_last, count_images, count_categories, uppercats';

  // $user['forbidden_categories'] including with USER_CACHE_CATEGORIES_TABLE
  $query.= '
FROM '.CATEGORIES_TABLE.' INNER JOIN '.USER_CACHE_CATEGORIES_TABLE.'
  ON id = cat_id and user_id = '.$user['id'];

  // Always expand when filter is activated
  if (!$user['expand'] and !$filter['enabled'])
  {
    $where = '
(id_uppercat is NULL';
    if (isset($page['category']))
    {
      $where .= ' OR id_uppercat IN ('.$page['category']['uppercats'].')';
    }
    $where .= ')';
  }
  else
  {
    $where = '
  '.get_sql_condition_FandF
    (
      array
        (
          'visible_categories' => 'id',
        ),
      null,
      true
    );
  }

  $where = trigger_event('get_categories_menu_sql_where',
    $where, $user['expand'], $filter['enabled'] );

  $query.= '
WHERE '.$where.'
;';

  $result = pwg_query($query);
  $cats = array();
  while ($row = mysql_fetch_assoc($result))
  {
	$tmp = explode("," , $row['uppercats']);
	if (in_array ($id_niveau_parent, $tmp))
		array_push($cats, $row);
    if ($row['id']==@$page['category']['id']) //save the number of subcats for later optim
      $page['category']['count_categories'] = $row['count_categories'];
  }
  usort($cats, 'global_rank_compare');

  // Update filtered data
  if (function_exists('update_cats_with_filtered_data'))
  {
    update_cats_with_filtered_data($cats);
  }

  return get_html_menu_category($cats, @$page['category'] );
}


function my_get_pwg_themeName ($themeId)
{
	$themes = my_get_pwg_themes();
	$i_themeName = 0;
	while (($tmp = $themes[$i_themeName]['id'])<> $themeId)
	{$i_themeName++;}
	
	if (ISSET($themes[$i_themeName]))
		return $themes[$i_themeName]['name'];
		else return  '0';
}



function my_get_pwg_themes()
{
  global $conf;

  $themes = array();

  $query = '
SELECT
    id,
    name
  FROM '.THEMES_TABLE.'
  ORDER BY name ASC
;';
  $result = pwg_query($query);
  $i_themes = 0;
  while ($row = pwg_db_fetch_assoc($result))
  {
    if (check_theme_installed($row['id']))
    {
		$themes[$i_themes]['id'] =  $row['id'] ;
		$themes[$i_themes]['name'] = $row['name'];
		
		  $i_themes =$i_themes + 1;
    }
  }
  return $themes;
}

function  my_get_pwg_categories()
{
$cat=array();
$categories = array();


//chargement des catgories
 $query = '
    SELECT id, name, uppercats, global_rank
    FROM '.CATEGORIES_TABLE.' ;
  ';
   $result = pwg_query($query);

   while (($cat = mysql_fetch_array($result)) <> null)
   {
   array_push($categories , array("id" => $cat['id'],
				"name" => $cat['name'],
				"uppercats" =>$cat['uppercats'],
				"longName" => get_cat_display_name_cache($cat['uppercats'], null, false),
				"global_rank" => $cat['global_rank'],
				));
		}
return $categories;
}

function get_long_categorie_name($id_cat)
{
	$categories = my_get_pwg_categories();
	
	$cat=array();
	
	   while ($cat = array_shift($categories ))
	   {
			if ($cat['id'] == $id_cat)
			{
				return $cat['longName'];
			}
	   }
	
return 'Failed';
}

?>